/**********************************************************************
 
	Copyright (C) 2004 Tomohito Nakajima <nakajima@zeta.co.jp>
	
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include "machine/logger.h"

#include <stdlib.h>
#include <stdarg.h>


extern "C"{
	void logger_vwrite(LoggerHandle handle, const char *fmt, va_list arg);
}
void Logger::write(const char *fmt, ...){
	va_list arg;
	va_start( arg, fmt );
	logger_vwrite(handle, fmt, arg);
	va_end( arg );
}